BOOT:
	{
		dTHX;
		HV *symbol_table = get_hv( "Net::Curl::", GV_ADD );
		static const struct iv_s values_for_iv[] = {
			{ "CURLVERSION_EIGHTH", 18, CURLVERSION_EIGHTH },
			{ "CURLVERSION_ELEVENTH", 20, CURLVERSION_ELEVENTH },
			{ "CURLVERSION_FIFTH", 17, CURLVERSION_FIFTH },
			{ "CURLVERSION_FIRST", 17, CURLVERSION_FIRST },
			{ "CURLVERSION_FOURTH", 18, CURLVERSION_FOURTH },
			{ "CURLVERSION_NINTH", 17, CURLVERSION_NINTH },
			{ "CURLVERSION_NOW", 15, CURLVERSION_NOW },
			{ "CURLVERSION_SECOND", 18, CURLVERSION_SECOND },
			{ "CURLVERSION_SEVENTH", 19, CURLVERSION_SEVENTH },
			{ "CURLVERSION_SIXTH", 17, CURLVERSION_SIXTH },
			{ "CURLVERSION_TENTH", 17, CURLVERSION_TENTH },
			{ "CURLVERSION_THIRD", 17, CURLVERSION_THIRD },
			{ "CURL_VERSION_ALTSVC", 19, CURL_VERSION_ALTSVC },
			{ "CURL_VERSION_ASYNCHDNS", 22, CURL_VERSION_ASYNCHDNS },
			{ "CURL_VERSION_BROTLI", 19, CURL_VERSION_BROTLI },
			{ "CURL_VERSION_CONV", 17, CURL_VERSION_CONV },
			{ "CURL_VERSION_CURLDEBUG", 22, CURL_VERSION_CURLDEBUG },
			{ "CURL_VERSION_DEBUG", 18, CURL_VERSION_DEBUG },
			{ "CURL_VERSION_GSASL", 18, CURL_VERSION_GSASL },
			{ "CURL_VERSION_GSSAPI", 19, CURL_VERSION_GSSAPI },
			{ "CURL_VERSION_GSSNEGOTIATE", 25, CURL_VERSION_GSSNEGOTIATE },
			{ "CURL_VERSION_HSTS", 17, CURL_VERSION_HSTS },
			{ "CURL_VERSION_HTTP2", 18, CURL_VERSION_HTTP2 },
			{ "CURL_VERSION_HTTP3", 18, CURL_VERSION_HTTP3 },
			{ "CURL_VERSION_HTTPS_PROXY", 24, CURL_VERSION_HTTPS_PROXY },
			{ "CURL_VERSION_IDN", 16, CURL_VERSION_IDN },
			{ "CURL_VERSION_IPV6", 17, CURL_VERSION_IPV6 },
			{ "CURL_VERSION_KERBEROS4", 22, CURL_VERSION_KERBEROS4 },
			{ "CURL_VERSION_KERBEROS5", 22, CURL_VERSION_KERBEROS5 },
			{ "CURL_VERSION_LARGEFILE", 22, CURL_VERSION_LARGEFILE },
			{ "CURL_VERSION_LIBZ", 17, CURL_VERSION_LIBZ },
			{ "CURL_VERSION_MULTI_SSL", 22, CURL_VERSION_MULTI_SSL },
			{ "CURL_VERSION_NTLM", 17, CURL_VERSION_NTLM },
			{ "CURL_VERSION_NTLM_WB", 20, CURL_VERSION_NTLM_WB },
			{ "CURL_VERSION_PSL", 16, CURL_VERSION_PSL },
			{ "CURL_VERSION_SPNEGO", 19, CURL_VERSION_SPNEGO },
			{ "CURL_VERSION_SSL", 16, CURL_VERSION_SSL },
			{ "CURL_VERSION_SSPI", 17, CURL_VERSION_SSPI },
			{ "CURL_VERSION_THREADSAFE", 23, CURL_VERSION_THREADSAFE },
			{ "CURL_VERSION_TLSAUTH_SRP", 24, CURL_VERSION_TLSAUTH_SRP },
			{ "CURL_VERSION_UNICODE", 20, CURL_VERSION_UNICODE },
			{ "CURL_VERSION_UNIX_SOCKETS", 25, CURL_VERSION_UNIX_SOCKETS },
			{ "CURL_VERSION_ZSTD", 17, CURL_VERSION_ZSTD },
			{ NULL, 0, 0 }
		};
		const struct iv_s *value_for_iv = values_for_iv;
		while ( value_for_iv->name ) {
			perl_curl_constant_add(aTHX_ symbol_table, value_for_iv->name,
				value_for_iv->namelen, newSViv( value_for_iv->value ) );
			++value_for_iv;
		}

		++PL_sub_generation;
	}
